Loading...
Searching...
No Matches
Dune::CommMatrixRowSize< M, RI > Struct Template Reference

Utility class to communicate and set the row sizes of a redistributed matrix. More...

`#include <dune/istl/matrixredistribute.hh>`

## Public Types

typedef M::size_type | value_type
typedef M::size_type | size_type

## Public Member Functions

| CommMatrixRowSize (const M &m_, RI &rowsize_)
| Constructor.

## Public Attributes

const M & | matrix
RI & | rowsize

## Detailed Description

template<class M, class RI>
struct Dune::CommMatrixRowSize< M, RI >

Utility class to communicate and set the row sizes of a redistributed matrix.

Template Parameters

  M | The type of the matrix that the row size is communicated of.
  RI | The type of class for redistribution information

## Member Typedef Documentation

## size_type

template<class M, class RI>

typedef M::size_type Dune::CommMatrixRowSize< M, RI >::size_type

## value_type

template<class M, class RI>

typedef M::size_type Dune::CommMatrixRowSize< M, RI >::value_type

## Constructor & Destructor Documentation

## CommMatrixRowSize()

template<class M, class RI>

Dune::CommMatrixRowSize< M, RI >::CommMatrixRowSize | ( | const M & | m_,
|  | RI & | rowsize_ )

inline

Constructor.

Parameters

  | m_ | The matrix whose sparsity pattern is communicated.
  [out] | rowsize_ | RedistributeInformation object

## Member Data Documentation

## matrix

template<class M, class RI>

const M& Dune::CommMatrixRowSize< M, RI >::matrix

## rowsize

template<class M, class RI>

RI& Dune::CommMatrixRowSize< M, RI >::rowsize

The documentation for this struct was generated from the following file:

- matrixredistribute.hh